org.apache.olingo.server.api.deserializer

## Interface FixedFormatDeserializer

-     public interface FixedFormatDeserializer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `binary(InputStream content)` Reads binary data from an InputStream.
    `Parameter` | `parameter(String content, EdmParameter parameter)` Reads parameter data (in URI syntax) from a String.
    `List<BatchRequestPart>` | `parseBatchRequest(InputStream content, String boundary, BatchOptions options)` Reads batch data from an InputStream.
    `Object` | `primitiveValue(InputStream content, EdmProperty property)` Reads primitive-type data from an InputStream.

- - ### Method Detail

    - #### binary

          byte[] binary(InputStream content)
                 throws DeserializerException

      Reads binary data from an InputStream.
      Parameters:
        `content` - the binary data as input stream
      Returns:
        the binary data
      Throws:
        `DeserializerException`

    - #### primitiveValue

          Object primitiveValue(InputStream content,
                                EdmProperty property)
                         throws DeserializerException

      Reads primitive-type data from an InputStream.
      Parameters:
        `content` - the textual value as input stream
        `property` - EDM property
      Throws:
        `DeserializerException`

    - #### parameter

          Parameter parameter(String content,
                              EdmParameter parameter)
                       throws DeserializerException

      Reads parameter data (in URI syntax) from a String.
      Parameters:
        `content` - the textual value as String
        `parameter` - EDM parameter
      Throws:
        `DeserializerException`

    - #### parseBatchRequest

          List<BatchRequestPart> parseBatchRequest(InputStream content,
                                                   String boundary,
                                                   BatchOptions options)
                                            throws BatchDeserializerException

      Reads batch data from an InputStream.
      Parameters:
        `content` - the data as multipart input stream
        `boundary` - the boundary between the parts
        `options` - options for the deserializer
      Returns:
        a list of batch-request parts
      Throws:
        `BatchDeserializerException`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.